<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_Attendant StructType
 * @subpackage Structs
 */
class JP_Attendant extends AbstractStructBase
{
    /**
     * The _
     * @var string
     */
    public $_;
    /**
     * The IdPax
     * @var int
     */
    public $IdPax;
    /**
     * Constructor method for JP_Attendant
     * @uses JP_Attendant::set_()
     * @uses JP_Attendant::setIdPax()
     * @param string $_
     * @param int $idPax
     */
    public function __construct($_ = null, $idPax = null)
    {
        $this
            ->set_($_)
            ->setIdPax($idPax);
    }
    /**
     * Get _ value
     * @return string|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param string $_
     * @return \StructType\JP_Attendant
     */
    public function set_($_ = null)
    {
        // validation for constraint: string
        if (!is_null($_) && !is_string($_)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($_, true), gettype($_)), __LINE__);
        }
        $this->_ = $_;
        return $this;
    }
    /**
     * Get IdPax value
     * @return int|null
     */
    public function getIdPax()
    {
        return $this->IdPax;
    }
    /**
     * Set IdPax value
     * @param int $idPax
     * @return \StructType\JP_Attendant
     */
    public function setIdPax($idPax = null)
    {
        // validation for constraint: int
        if (!is_null($idPax) && !(is_int($idPax) || ctype_digit($idPax))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idPax, true), gettype($idPax)), __LINE__);
        }
        $this->IdPax = $idPax;
        return $this;
    }
}
